// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlCssProvider")]
    pub struct CssProvider(Object<ffi::DzlCssProvider, ffi::DzlCssProviderClass>) @extends gtk::CssProvider, @implements gtk::StyleProvider;

    match fn {
        type_ => || ffi::dzl_css_provider_get_type(),
    }
}

impl CssProvider {
    #[doc(alias = "dzl_css_provider_new")]
    pub fn new(base_path: &str) -> CssProvider {
        assert_initialized_main_thread!();
        unsafe {
            gtk::CssProvider::from_glib_full(ffi::dzl_css_provider_new(base_path.to_glib_none().0))
                .unsafe_cast()
        }
    }

    #[doc(alias = "base-path")]
    pub fn base_path(&self) -> Option<glib::GString> {
        ObjectExt::property(self, "base-path")
    }
}

impl fmt::Display for CssProvider {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("CssProvider")
    }
}
